//+------------------------------------------------------------------+
//|                                                   ADXcrosses.mq4 |
//|                      Copyright  2004, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2004, MetaQuotes Software Corp."
#property link "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1  Blue
#property indicator_color2  Red
#property indicator_width1  8
#property indicator_width2  8
#property indicator_minimum 0
#property indicator_maximum 1

//---- input parameters
extern int ADXcrossesPeriod = 14;
//---- buffers
double UpH[];
double DnH[];
double trend[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{

   IndicatorBuffers(3);
   SetIndexBuffer(0,UpH);    SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,DnH);    SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(2,trend);

    return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
    return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

int start()
{
      int i,counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
           int limit=MathMin(Bars-counted_bars,Bars-1);
      //
      //
      //
      //
      //
      
      for (i=limit; i>=0; i--)
      {
         double nowplusdi  = iADX(NULL,0,ADXcrossesPeriod,PRICE_CLOSE,MODE_PLUSDI, i);
         double nowminusdi = iADX(NULL,0,ADXcrossesPeriod,PRICE_CLOSE,MODE_MINUSDI,i);  
         UpH[i]   = EMPTY_VALUE;
         DnH[i]   = EMPTY_VALUE;
         trend[i] = trend[i+1];
         
         //
         //
         //
         //
         //
          
         if (nowplusdi>nowminusdi) trend[i] = 1;
         if (nowplusdi<nowminusdi) trend[i] =-1; 
         if (trend[i] == 1)   UpH[i] = 1;
         if (trend[i] ==-1)   DnH[i] = 1;
    
      }
return(0);
}
//+------------------------------------------------------------------+

